Bug 1634583

Summary: libftdi: Remove (sub)packages from Fedora 30+: python2-libftdi
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: libftdiAssignee: Richard Shaw <hobbes1069>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, hobbes1069, igor.raits, LotharLutz, lucilanga, mhroncok, ngompa13, pviktori, zbyszek
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: mhroncok: needinfo? (lucilanga)
mhroncok: needinfo? (lucilanga)
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libftdi-1.3-16.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-26 15:19:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-10-01 08:57:28 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of libftdi were marked for removal:

 * python2-libftdi

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-01-15 10:10:15 UTC
A simple removal of the Python 2 bits leads to:

BUILDSTDERR: /builddir/build/BUILD/libftdi1-1.3/python/ftdi1.i:7: Error: Unable to find 'ftdi1_doc.i'

Lucian, would you be able to help?

Comment 2 Miro Hrončok 2019-02-26 12:18:24 UTC
The beta freeze is at 2019-03-05. Are you responsive?

Comment 3 Richard Shaw 2019-02-26 13:21:33 UTC
Whoops, forgot about this bug. The package now provides both python2 and python3 packages.

Comment 4 Miro Hrončok 2019-02-26 13:28:32 UTC
The request is to remove python2-libftdi.

Comment 5 Richard Shaw 2019-02-26 13:38:38 UTC
Ok, I can't see anything that requires either of the python packages so it should be safe to remove.

Comment 6 Richard Shaw 2019-02-26 13:57:09 UTC
Do I need to actually built it? I have committed the changes to remove the python2 subpackage. Version 1.5 is supposed to be released in the near future.

Comment 7 Zbigniew Jędrzejewski-Szmek 2019-02-26 14:08:10 UTC
Yes, please build it. This way we the package drops from the (automatically generated) list of outstanding packages.

Comment 8 Richard Shaw 2019-02-26 14:30:27 UTC
Done.

https://koji.fedoraproject.org/koji/taskinfo?taskID=33064520

Comment 9 Miro Hrončok 2019-02-26 14:33:41 UTC
Could you please also build it for Fedora 30?

Comment 10 Richard Shaw 2019-02-26 15:06:15 UTC
Done

Comment 11 Miro Hrončok 2019-02-26 15:19:18 UTC
Thank You!